Package org.apache.sysds.runtime.compress.cost

# Interface CostEstimatorFactory

public interface CostEstimatorFactory
Factory class for the construction of cost estimators for compression

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`CostEstimatorFactory.CostType`

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static ACostEstimate`
`create(CompressionSettings cs, CostEstimatorBuilder costBuilder, int nRows, int nCols, double sparsity)`
Create a cost estimator to enable comparison of different suggested compression formats

## Method Details

### create

static ACostEstimate create(CompressionSettings cs, CostEstimatorBuilder costBuilder, int nRows, int nCols, double sparsity)
Create a cost estimator to enable comparison of different suggested compression formats

Parameters:
  `cs` - The compression settings to use.
  `costBuilder` - A cost builder to build the specific specialized formats of cost estimators
  `nRows` - The number of rows in a given input to compress
  `nCols` - The number of columns in a given input to compress
  `sparsity` - The sparsity of the input to compress
Returns:
  A cost estimator